<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function autoupdate_plugins_update_filter($content, &$smarty)
{
  $l_key = version_compare(PHPWG_VERSION, '2.1', '<') ? 'plugins_download' : 'Download file';

  $search = '<a href="{$plugin.URL_DOWNLOAD}">{\''.$l_key.'\'|@translate}</a>';

  $replacement = '  <a href="{$plugin.URL_DOWNLOAD}">{\''.$l_key.'\'|@translate}</a><br>
    <a href="#" onClick="autoupdate_ignore(\'{$plugin.EXT_NAME|@htmlspecialchars_decode}\', true, {$smarty.foreach.plugins_loop.index}); return false;" id="au_ignore_{$smarty.foreach.plugins_loop.index}_true" {if $plugin.EXT_NAME|@htmlspecialchars_decode|@in_array:$AU_IGNORE_LIST}style="display: none;"{/if}>{\'Don\\\'t notify on admin homepage\'|@translate}</a>
    <a href="#" onClick="autoupdate_ignore(\'{$plugin.EXT_NAME|@htmlspecialchars_decode}\', false, {$smarty.foreach.plugins_loop.index}); return false;" id="au_ignore_{$smarty.foreach.plugins_loop.index}_false" {if !$plugin.EXT_NAME|@htmlspecialchars_decode|@in_array:$AU_IGNORE_LIST}style="display: none;"{/if}>{\'Notify on admin homepage\'|@translate}</a>';

  return str_replace($search, $replacement, $content);;  
}

$script_head = '
<script type="text/javascript">
function autoupdate_ignore(name, bool, id) {
  jQuery.post(
    "'.PHPWG_ROOT_PATH.'plugins/autoupdate/remote.php",
    { "autoupdate_ignore'.(version_compare(PHPWG_VERSION, '2.1', '<') ? '[]' : '').'": [name, bool] },
    function(data) {
      if (data == "ok") {
        jQuery("#au_ignore_"+id+"_"+bool).hide();
        jQuery("#au_ignore_"+id+"_"+!bool).show();
      }
    }
  );
}
</script>
';

$template->block_html_head('', $script_head, $smarty, $repeat);
$template->set_prefilter('plugins', 'autoupdate_plugins_update_filter');
$template->assign('AU_IGNORE_LIST', unserialize($conf['autoupdate_ignore_list']));

?>